# 13. Casting and Molding 

This week we moved away from electronics and focused on molding and casting. This is something 
I have never done and was an exciting week. I enjoyed working with the differnt materials and 
seeing the molds set!

For the group assignment we cast a number of different materials and it was very clear that 
choosing the right material is key as well as following the prep process in detail.  You can 
see our results [here](https://fabacademy.org/2023/labs/charlotte/assignments/week13/)


**Goals** 

1. Design a mold around the stock and tooling that you'll be using, mill it (rough cut + three-axis finish cut),
and use it to cast parts


**Accomplishment**

1. Milled a part for my final project into a wax block 

2. Made a soft mold and cast hard parts 

3. Made a hard mold and case soft parts 


## Molding feet for final project machine

This week I decided to make legs for my Vegetable washing machine to provide traction and shock absorption. 

I went with a mushroom design 

Starting in 2D 
![](../images/imagW13/m1.jpg)

Moving to 3D

![](../images/imagW13/M2.jpg)

Adding hole for the M5 screw

![](../images/imagW13/M3.jpg)

But I did not like this design and wanted to add more depth so I started over 

![](../images/imagW13/M4.jpg)

Add more height and smoothed edges and 

![](../images/imagW13/m41.jpg)

2 holes for better stability 

![](../images/imagW13/M42.jpg)

Created a pattern 

![](../images/imagW13/m43.jpg)

Moved to the manufacture workspace and set up the material size 

![](../images/imagW13/M5.jpg)

and 2 tools path one roughing and one for finishing. I left 0.5mm of material in the roughing for the 
finishing pass 

![](../images/imagW13/M51.jpg)

Unfortunaly I measured the piece of wax I had and found out I can only fit 2 of these. So I had
to go back and change the set up for 2 legs 


![](../images/imagW13/M6.jpg)

And rerun the tool paths 

![](../images/imagW13/M61.jpg)

And I started to mill 

![](../images/imagW13/M7.jpg)

![](../images/imagW13/m72.jpg)


## Rubber mold casting 

Now we are ready to move to the next stage 

I decided to use [OOMOO 30 Silicone Mold Making Rubber](https://www.smooth-on.com/products/oomoo-30/) for the rubber mold 


![](../images/imagW13/m8.jpg)

I set up 2 cup with equal amounts of each as per the instructions 

![](../images/imagW13/M81.jpg)

Both go into mixing cup 

![](../images/imagW13/M82.jpg)

A full 3 minutes of shearing 

![](../images/imagW13/M83.jpg)

And it is fully mixed 

![](../images/imagW13/M84.jpg)

Next I pour it in form the corner and let it flow over the mold 

<iframe width="560" height="315" src=../../images/imagW13/M85.mp4 frameborder="0" allowfullscreen></iframe>  

I left it for 6 hours to cure 

![](../images/imagW13/M86.jpg)

It easly came out 

![](../images/imagW13/M87.jpg)

And ready to cast the feet 

![](../images/imagW13/M88.jpg)


## Plastic casting 

I used [Smooth-Cast 300 Liquid Plastic](https://www.smooth-on.com/products/smooth-cast-300/)


![](../images/imagW13/M9.jpg)


I has a 3 min put life and 10 min cure - so I have to move quick after it is combined

![](../images/imagW13/M91.jpg)

Equal parts and 1 min of shearing 

![](../images/imagW13/M93.jpg)

Poured into the rubber mold 

<iframe width="560" height="315" src=../../images/imagW13/M97.mp4 frameborder="0" allowfullscreen></iframe>  

All set to cure 

![](../images/imagW13/M94.jpg)


It turned white as it hardened 

![](../images/imagW13/M95.jpg)

And we have feet ready to go

![](../images/imagW13/M96.jpg)


## Hard mold with rubber cast

Once I got a chance to review the feet it seemed to me that they were a little too hard and I would 
like a consistency closer to the mold. So I decided to use the Wax milled mold to make a plastic mold. 

I knew getting this out would likely destroy the wax but I was ok with that. 

This was the same plastic I used for the leg so it had a 3 min pot life and 10 min cure


![](../images/imagW13/P4.jpg)

![](../images/imagW13/P2.jpg)

Got it mixed and poured 

![](../images/imagW13/P3.jpg)


Now we just need to wait 

![](../images/imagW13/P5.jpg)



<iframe width="560" height="315" src=../../images/imagW13/R6.mp4 frameborder="0" allowfullscreen></iframe>  


![](../images/imagW13/R1.jpg)

Now that I have a plastic cast I need to cast the rubber feet. 

![](../images/imagW13/R0.jpg)


Mixing is next 

![](../images/imagW13/R12.jpg)

Poured and now we need to wait 

![](../images/imagW13/R2.jpg)

and here we have rubber feet 

![](../images/imagW13/R4.jpg)


Here are the files from this week [here](../files/week13/feetmold2.zip)



